org.mariadb.jdbc.internal.packet.dao.parameters

## Class ParameterHolder

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.dao.parameters.ParameterHolder

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  LongDataParameterHolder, NotLongDataParameterHolder, NullParameter

    public abstract class ParameterHolder
    extends Object
    implements Cloneable

### Constructor Summary

Constructors
Constructor and Description
`ParameterHolder()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract long` `getApproximateTextProtocolLength()`
`abstract MariaDbType` `getMariaDbType()`
`abstract boolean` `isLongData()`
`abstract boolean` `isNotLongData()`
`abstract boolean` `isNullParameter()`
`String` `toString()` Nice formatting of prepared statements using PreparedStatement.toString().
`void` `writeBufferType(PacketOutputStream buffer)`
`abstract void` `writeTo(OutputStream os)` Write parameter value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParameterHolder

    public ParameterHolder()

### Method Detail

#### writeTo

    public abstract void writeTo(OutputStream os)
                          throws IOException

Write parameter value.

Parameters:
  `os` - the stream to write to
Throws:
  `IOException` - when something goes wrong

#### getApproximateTextProtocolLength

    public abstract long getApproximateTextProtocolLength()
                                                   throws IOException

Throws:
  `IOException`

#### toString

    public String toString()

Nice formatting of prepared statements using PreparedStatement.toString().

Overrides:
  `toString` in class `Object`
Returns:
  formatted value

#### isLongData

    public abstract boolean isLongData()

#### isNullParameter

    public abstract boolean isNullParameter()

#### isNotLongData

    public abstract boolean isNotLongData()

#### getMariaDbType

    public abstract MariaDbType getMariaDbType()

#### writeBufferType

    public void writeBufferType(PacketOutputStream buffer)